Bug 810945 - Unable to delete pools referenced by activation keys
Unable to delete pools referenced by activation keys
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Kedar Bidarkar
: Triaged
Depends On: 784665
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 13:37 EDT by Tom McKay
Modified: 2013-03-27 16:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Subscription pools referenced by activation keys could not delete nor could systems registered to these keys be unregistered. This fix corrects System Engine to automatically remove the subscription pools reference in the activation key so systems can now unregister and subscriptions pools now delete as required.
Story Points: ---
Clone Of: 784665
Environment:
Last Closed: 2012-12-04 14:44:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Kedar Bidarkar 2012-09-23 09:20:21 EDT
This bug stands rectified and verified.


[root@XXXX ~]# katello -u admin -p admin activation_key info  --org redhat --name act2_197_keys
--------------------------------------------------------------------------------
                             Activation Key Info
--------------------------------------------------------------------------------

Id:                 14
Name:               act2_197_keys
Description:
    None
Usage Limit:        unlimited
Environment Id:     3
System Template Id: None
Pools:
    [ 8ac1494839f32c8a0139f33ebcea0052 ]

Upon unsubscribing all from the Host.
subscription-manager unsubscribe --all



[root@XXXX ~]# katello -u admin -p admin activation_key info  --org redhat --name act2_197_keys
--------------------------------------------------------------------------------
                             Activation Key Info
--------------------------------------------------------------------------------

Id:                 14
Name:               act2_197_keys
Description:
    None
Usage Limit:        unlimited
Environment Id:     3
System Template Id: None
Pools:
    [  ]

The bonus pool is now removed from the guests activation key.


root@XXXX ~]# rpm -qav | grep -i katello
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:44:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.